GuideLab Docs

Reset a user's two-factor authentication

Turn off two-factor authentication for a user who has lost both their authenticator and their backup codes, deleting the TOTP secret and backup codes. The user can then sign in with their password and set up two-factor again. Platform admin access required.

POST
/admin/users/{id}/reset-two-factor

Turn off two-factor authentication for a user who has lost both their authenticator and their backup codes, deleting the TOTP secret and backup codes. The user can then sign in with their password and set up two-factor again. Platform admin access required.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Response Body

application/json

curl -X POST "https://example.com/admin/users/550e8400-e29b-41d4-a716-446655440000/reset-two-factor"
{  "success": true}
Empty
Empty
Empty
Empty